import{s as Rl,n as gl,o as Vl}from"../chunks/scheduler.0219f8bd.js";import{S as Nl,i as kl,g as o,s as i,r as p,A as Ul,h as a,f as l,c as s,j as c,u as m,x as r,k as d,y as Ol,a as n,v,d as f,t as u,w as _}from"../chunks/index.f61edf3b.js";import{C as ol}from"../chunks/CodeBlock.38e566ae.js";import{H as h,E as Zl}from"../chunks/EditOnGithub.48fa589f.js";function zl(al){let $,we,be,xe,A,Se,E,Be,I,rl="Module used to configure Transformers.js.",He,T,dl="<strong>Example:</strong> Disable remote models.",Pe,L,ye,b,pl="<strong>Example:</strong> Set local model path.",We,C,Me,w,ml="<strong>Example:</strong> Set cache directory.",je,x,Je,S,vl='<li><a href="#module_env">env</a><ul><li><em>static</em><ul><li><a href="#module_env.apis"><code>.apis</code></a></li> <li><a href="#module_env.env"><code>.env</code></a> : <code>TransformersEnvironment</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_env..IS_BROWSER_ENV"><code>~IS_BROWSER_ENV</code></a></li> <li><a href="#module_env..IS_WEBWORKER_ENV"><code>~IS_WEBWORKER_ENV</code></a></li> <li><a href="#module_env..IS_WEB_CACHE_AVAILABLE"><code>~IS_WEB_CACHE_AVAILABLE</code></a></li> <li><a href="#module_env..IS_WEBGPU_AVAILABLE"><code>~IS_WEBGPU_AVAILABLE</code></a></li> <li><a href="#module_env..IS_BUILT_IN_AI_AVAILABLE"><code>~IS_BUILT_IN_AI_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PROCESS_AVAILABLE"><code>~IS_PROCESS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_NODE_ENV"><code>~IS_NODE_ENV</code></a></li> <li><a href="#module_env..IS_FS_AVAILABLE"><code>~IS_FS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PATH_AVAILABLE"><code>~IS_PATH_AVAILABLE</code></a></li> <li><a href="#module_env..TransformersEnvironment"><code>~TransformersEnvironment</code></a> : <code>Object</code></li></ul></li></ul></li>',Re,ge,Ve,B,Ne,H,ke,P,fl="A read-only object containing information about the APIs available in the current environment.",Ue,y,ul='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Oe,Ze,ze,W,Ge,M,Ke,j,_l='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Fe,De,Ye,J,Qe,R,qe,g,cl="Whether we are running in a browser environment",Xe,V,hl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',et,tt,lt,N,nt,k,it,U,$l="Whether we are running in a web worker environment",st,O,Al='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',ot,at,rt,Z,dt,z,pt,G,El="Whether the Cache API is available",mt,K,Il='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',vt,ft,ut,F,_t,D,ct,Y,Tl="Whether the WebGPU API is available",ht,Q,Ll='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',$t,At,Et,q,It,X,Tt,ee,bl='Whether the experimental <a href="https://developer.chrome.com/docs/ai/built-in" rel="nofollow">built-in AI</a> API is available',Lt,te,Cl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',bt,Ct,wt,le,xt,ne,St,ie,wl="Whether the Node.js process API is available",Bt,se,xl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Ht,Pt,yt,oe,Wt,ae,Mt,re,Sl="Whether we are running in a Node.js environment",jt,de,Bl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Jt,Rt,gt,pe,Vt,me,Nt,ve,Hl="Whether the filesystem API is available",kt,fe,Pl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Ut,Ot,Zt,ue,zt,_e,Gt,ce,yl="Whether the path API is available",Kt,he,Wl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Ft,Dt,Yt,$e,Qt,Ae,qt,Ee,Ml="Global variable given visible to users to control execution. This provides users a simple way to configure Transformers.js.",Xt,Ie,jl='<strong>Kind</strong>: inner typedef of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',el,Te,Jl=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>false</code> if running in-browser, and <code>true</code> otherwise.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,tl,ll,nl,Le,il,Ce,sl;return E=new h({props:{title:"env",local:"env",headingTag:"h1"}}),L=new ol({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmFsbG93UmVtb3RlTW9kZWxzJTIwJTNEJTIwZmFsc2UlM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),C=new ol({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmxvY2FsTW9kZWxQYXRoJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmxvY2FsJTJGbW9kZWxzJTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),x=new ol({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmNhY2hlRGlyJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmNhY2hlJTJGZGlyZWN0b3J5JTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),H=new h({props:{title:"env.apis",local:"envapis",headingTag:"h2"}}),M=new h({props:{title:"env.env : <code> TransformersEnvironment </code>",local:"envenv--code-transformersenvironment-code",headingTag:"h2"}}),R=new h({props:{title:"env~IS_BROWSER_ENV",local:"envisbrowserenv",headingTag:"h2"}}),k=new h({props:{title:"env~IS_WEBWORKER_ENV",local:"enviswebworkerenv",headingTag:"h2"}}),z=new h({props:{title:"env~IS_WEB_CACHE_AVAILABLE",local:"enviswebcacheavailable",headingTag:"h2"}}),D=new h({props:{title:"env~IS_WEBGPU_AVAILABLE",local:"enviswebgpuavailable",headingTag:"h2"}}),X=new h({props:{title:"env~IS_BUILT_IN_AI_AVAILABLE",local:"envisbuiltinaiavailable",headingTag:"h2"}}),ne=new h({props:{title:"env~IS_PROCESS_AVAILABLE",local:"envisprocessavailable",headingTag:"h2"}}),ae=new h({props:{title:"env~IS_NODE_ENV",local:"envisnodeenv",headingTag:"h2"}}),me=new h({props:{title:"env~IS_FS_AVAILABLE",local:"envisfsavailable",headingTag:"h2"}}),_e=new h({props:{title:"env~IS_PATH_AVAILABLE",local:"envispathavailable",headingTag:"h2"}}),Ae=new h({props:{title:"env~TransformersEnvironment : <code> Object </code>",local:"envtransformersenvironment--code-object-code",headingTag:"h2"}}),Le=new Zl({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/env.md"}}),{c(){$=o("meta"),we=i(),be=o("p"),xe=i(),A=o("a"),Se=i(),p(E.$$.fragment),Be=i(),I=o("p"),I.textContent=rl,He=i(),T=o("p"),T.innerHTML=dl,Pe=i(),p(L.$$.fragment),ye=i(),b=o("p"),b.innerHTML=pl,We=i(),p(C.$$.fragment),Me=i(),w=o("p"),w.innerHTML=ml,je=i(),p(x.$$.fragment),Je=i(),S=o("ul"),S.innerHTML=vl,Re=i(),ge=o("hr"),Ve=i(),B=o("a"),Ne=i(),p(H.$$.fragment),ke=i(),P=o("p"),P.textContent=fl,Ue=i(),y=o("p"),y.innerHTML=ul,Oe=i(),Ze=o("hr"),ze=i(),W=o("a"),Ge=i(),p(M.$$.fragment),Ke=i(),j=o("p"),j.innerHTML=_l,Fe=i(),De=o("hr"),Ye=i(),J=o("a"),Qe=i(),p(R.$$.fragment),qe=i(),g=o("p"),g.textContent=cl,Xe=i(),V=o("p"),V.innerHTML=hl,et=i(),tt=o("hr"),lt=i(),N=o("a"),nt=i(),p(k.$$.fragment),it=i(),U=o("p"),U.textContent=$l,st=i(),O=o("p"),O.innerHTML=Al,ot=i(),at=o("hr"),rt=i(),Z=o("a"),dt=i(),p(z.$$.fragment),pt=i(),G=o("p"),G.textContent=El,mt=i(),K=o("p"),K.innerHTML=Il,vt=i(),ft=o("hr"),ut=i(),F=o("a"),_t=i(),p(D.$$.fragment),ct=i(),Y=o("p"),Y.textContent=Tl,ht=i(),Q=o("p"),Q.innerHTML=Ll,$t=i(),At=o("hr"),Et=i(),q=o("a"),It=i(),p(X.$$.fragment),Tt=i(),ee=o("p"),ee.innerHTML=bl,Lt=i(),te=o("p"),te.innerHTML=Cl,bt=i(),Ct=o("hr"),wt=i(),le=o("a"),xt=i(),p(ne.$$.fragment),St=i(),ie=o("p"),ie.textContent=wl,Bt=i(),se=o("p"),se.innerHTML=xl,Ht=i(),Pt=o("hr"),yt=i(),oe=o("a"),Wt=i(),p(ae.$$.fragment),Mt=i(),re=o("p"),re.textContent=Sl,jt=i(),de=o("p"),de.innerHTML=Bl,Jt=i(),Rt=o("hr"),gt=i(),pe=o("a"),Vt=i(),p(me.$$.fragment),Nt=i(),ve=o("p"),ve.textContent=Hl,kt=i(),fe=o("p"),fe.innerHTML=Pl,Ut=i(),Ot=o("hr"),Zt=i(),ue=o("a"),zt=i(),p(_e.$$.fragment),Gt=i(),ce=o("p"),ce.textContent=yl,Kt=i(),he=o("p"),he.innerHTML=Wl,Ft=i(),Dt=o("hr"),Yt=i(),$e=o("a"),Qt=i(),p(Ae.$$.fragment),qt=i(),Ee=o("p"),Ee.textContent=Ml,Xt=i(),Ie=o("p"),Ie.innerHTML=jl,el=i(),Te=o("table"),Te.innerHTML=Jl,tl=i(),ll=o("hr"),nl=i(),p(Le.$$.fragment),il=i(),Ce=o("p"),this.h()},l(e){const t=Ul("svelte-u9bgzb",document.head);$=a(t,"META",{name:!0,content:!0}),t.forEach(l),we=s(e),be=a(e,"P",{}),c(be).forEach(l),xe=s(e),A=a(e,"A",{id:!0,class:!0}),c(A).forEach(l),Se=s(e),m(E.$$.fragment,e),Be=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-14jubvb"&&(I.textContent=rl),He=s(e),T=a(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-ooim1v"&&(T.innerHTML=dl),Pe=s(e),m(L.$$.fragment,e),ye=s(e),b=a(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1rbhmcc"&&(b.innerHTML=pl),We=s(e),m(C.$$.fragment,e),Me=s(e),w=a(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-13xd89q"&&(w.innerHTML=ml),je=s(e),m(x.$$.fragment,e),Je=s(e),S=a(e,"UL",{"data-svelte-h":!0}),r(S)!=="svelte-9cpsgt"&&(S.innerHTML=vl),Re=s(e),ge=a(e,"HR",{}),Ve=s(e),B=a(e,"A",{id:!0,class:!0}),c(B).forEach(l),Ne=s(e),m(H.$$.fragment,e),ke=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-3i2dk3"&&(P.textContent=fl),Ue=s(e),y=a(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-g17yg2"&&(y.innerHTML=ul),Oe=s(e),Ze=a(e,"HR",{}),ze=s(e),W=a(e,"A",{id:!0,class:!0}),c(W).forEach(l),Ge=s(e),m(M.$$.fragment,e),Ke=s(e),j=a(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-g17yg2"&&(j.innerHTML=_l),Fe=s(e),De=a(e,"HR",{}),Ye=s(e),J=a(e,"A",{id:!0,class:!0}),c(J).forEach(l),Qe=s(e),m(R.$$.fragment,e),qe=s(e),g=a(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1u9p87f"&&(g.textContent=cl),Xe=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-136zjuj"&&(V.innerHTML=hl),et=s(e),tt=a(e,"HR",{}),lt=s(e),N=a(e,"A",{id:!0,class:!0}),c(N).forEach(l),nt=s(e),m(k.$$.fragment,e),it=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-1yxpxh"&&(U.textContent=$l),st=s(e),O=a(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-136zjuj"&&(O.innerHTML=Al),ot=s(e),at=a(e,"HR",{}),rt=s(e),Z=a(e,"A",{id:!0,class:!0}),c(Z).forEach(l),dt=s(e),m(z.$$.fragment,e),pt=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-10rfojt"&&(G.textContent=El),mt=s(e),K=a(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-136zjuj"&&(K.innerHTML=Il),vt=s(e),ft=a(e,"HR",{}),ut=s(e),F=a(e,"A",{id:!0,class:!0}),c(F).forEach(l),_t=s(e),m(D.$$.fragment,e),ct=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1rg36ch"&&(Y.textContent=Tl),ht=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-136zjuj"&&(Q.innerHTML=Ll),$t=s(e),At=a(e,"HR",{}),Et=s(e),q=a(e,"A",{id:!0,class:!0}),c(q).forEach(l),It=s(e),m(X.$$.fragment,e),Tt=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1uggba8"&&(ee.innerHTML=bl),Lt=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-136zjuj"&&(te.innerHTML=Cl),bt=s(e),Ct=a(e,"HR",{}),wt=s(e),le=a(e,"A",{id:!0,class:!0}),c(le).forEach(l),xt=s(e),m(ne.$$.fragment,e),St=s(e),ie=a(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-1bn7tmv"&&(ie.textContent=wl),Bt=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-136zjuj"&&(se.innerHTML=xl),Ht=s(e),Pt=a(e,"HR",{}),yt=s(e),oe=a(e,"A",{id:!0,class:!0}),c(oe).forEach(l),Wt=s(e),m(ae.$$.fragment,e),Mt=s(e),re=a(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-4r0hfy"&&(re.textContent=Sl),jt=s(e),de=a(e,"P",{"data-svelte-h":!0}),r(de)!=="svelte-136zjuj"&&(de.innerHTML=Bl),Jt=s(e),Rt=a(e,"HR",{}),gt=s(e),pe=a(e,"A",{id:!0,class:!0}),c(pe).forEach(l),Vt=s(e),m(me.$$.fragment,e),Nt=s(e),ve=a(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-13lrs7s"&&(ve.textContent=Hl),kt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),r(fe)!=="svelte-136zjuj"&&(fe.innerHTML=Pl),Ut=s(e),Ot=a(e,"HR",{}),Zt=s(e),ue=a(e,"A",{id:!0,class:!0}),c(ue).forEach(l),zt=s(e),m(_e.$$.fragment,e),Gt=s(e),ce=a(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-1ncyrvw"&&(ce.textContent=yl),Kt=s(e),he=a(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-136zjuj"&&(he.innerHTML=Wl),Ft=s(e),Dt=a(e,"HR",{}),Yt=s(e),$e=a(e,"A",{id:!0,class:!0}),c($e).forEach(l),Qt=s(e),m(Ae.$$.fragment,e),qt=s(e),Ee=a(e,"P",{"data-svelte-h":!0}),r(Ee)!=="svelte-1ijjkph"&&(Ee.textContent=Ml),Xt=s(e),Ie=a(e,"P",{"data-svelte-h":!0}),r(Ie)!=="svelte-1k5edin"&&(Ie.innerHTML=jl),el=s(e),Te=a(e,"TABLE",{"data-svelte-h":!0}),r(Te)!=="svelte-8iw6t3"&&(Te.innerHTML=Jl),tl=s(e),ll=a(e,"HR",{}),nl=s(e),m(Le.$$.fragment,e),il=s(e),Ce=a(e,"P",{}),c(Ce).forEach(l),this.h()},h(){d($,"name","hf:doc:metadata"),d($,"content",Gl),d(A,"id","module_env"),d(A,"class","group"),d(B,"id","module_env.apis"),d(B,"class","group"),d(W,"id","module_env.env"),d(W,"class","group"),d(J,"id","module_env..IS_BROWSER_ENV"),d(J,"class","group"),d(N,"id","module_env..IS_WEBWORKER_ENV"),d(N,"class","group"),d(Z,"id","module_env..IS_WEB_CACHE_AVAILABLE"),d(Z,"class","group"),d(F,"id","module_env..IS_WEBGPU_AVAILABLE"),d(F,"class","group"),d(q,"id","module_env..IS_BUILT_IN_AI_AVAILABLE"),d(q,"class","group"),d(le,"id","module_env..IS_PROCESS_AVAILABLE"),d(le,"class","group"),d(oe,"id","module_env..IS_NODE_ENV"),d(oe,"class","group"),d(pe,"id","module_env..IS_FS_AVAILABLE"),d(pe,"class","group"),d(ue,"id","module_env..IS_PATH_AVAILABLE"),d(ue,"class","group"),d($e,"id","module_env..TransformersEnvironment"),d($e,"class","group")},m(e,t){Ol(document.head,$),n(e,we,t),n(e,be,t),n(e,xe,t),n(e,A,t),n(e,Se,t),v(E,e,t),n(e,Be,t),n(e,I,t),n(e,He,t),n(e,T,t),n(e,Pe,t),v(L,e,t),n(e,ye,t),n(e,b,t),n(e,We,t),v(C,e,t),n(e,Me,t),n(e,w,t),n(e,je,t),v(x,e,t),n(e,Je,t),n(e,S,t),n(e,Re,t),n(e,ge,t),n(e,Ve,t),n(e,B,t),n(e,Ne,t),v(H,e,t),n(e,ke,t),n(e,P,t),n(e,Ue,t),n(e,y,t),n(e,Oe,t),n(e,Ze,t),n(e,ze,t),n(e,W,t),n(e,Ge,t),v(M,e,t),n(e,Ke,t),n(e,j,t),n(e,Fe,t),n(e,De,t),n(e,Ye,t),n(e,J,t),n(e,Qe,t),v(R,e,t),n(e,qe,t),n(e,g,t),n(e,Xe,t),n(e,V,t),n(e,et,t),n(e,tt,t),n(e,lt,t),n(e,N,t),n(e,nt,t),v(k,e,t),n(e,it,t),n(e,U,t),n(e,st,t),n(e,O,t),n(e,ot,t),n(e,at,t),n(e,rt,t),n(e,Z,t),n(e,dt,t),v(z,e,t),n(e,pt,t),n(e,G,t),n(e,mt,t),n(e,K,t),n(e,vt,t),n(e,ft,t),n(e,ut,t),n(e,F,t),n(e,_t,t),v(D,e,t),n(e,ct,t),n(e,Y,t),n(e,ht,t),n(e,Q,t),n(e,$t,t),n(e,At,t),n(e,Et,t),n(e,q,t),n(e,It,t),v(X,e,t),n(e,Tt,t),n(e,ee,t),n(e,Lt,t),n(e,te,t),n(e,bt,t),n(e,Ct,t),n(e,wt,t),n(e,le,t),n(e,xt,t),v(ne,e,t),n(e,St,t),n(e,ie,t),n(e,Bt,t),n(e,se,t),n(e,Ht,t),n(e,Pt,t),n(e,yt,t),n(e,oe,t),n(e,Wt,t),v(ae,e,t),n(e,Mt,t),n(e,re,t),n(e,jt,t),n(e,de,t),n(e,Jt,t),n(e,Rt,t),n(e,gt,t),n(e,pe,t),n(e,Vt,t),v(me,e,t),n(e,Nt,t),n(e,ve,t),n(e,kt,t),n(e,fe,t),n(e,Ut,t),n(e,Ot,t),n(e,Zt,t),n(e,ue,t),n(e,zt,t),v(_e,e,t),n(e,Gt,t),n(e,ce,t),n(e,Kt,t),n(e,he,t),n(e,Ft,t),n(e,Dt,t),n(e,Yt,t),n(e,$e,t),n(e,Qt,t),v(Ae,e,t),n(e,qt,t),n(e,Ee,t),n(e,Xt,t),n(e,Ie,t),n(e,el,t),n(e,Te,t),n(e,tl,t),n(e,ll,t),n(e,nl,t),v(Le,e,t),n(e,il,t),n(e,Ce,t),sl=!0},p:gl,i(e){sl||(f(E.$$.fragment,e),f(L.$$.fragment,e),f(C.$$.fragment,e),f(x.$$.fragment,e),f(H.$$.fragment,e),f(M.$$.fragment,e),f(R.$$.fragment,e),f(k.$$.fragment,e),f(z.$$.fragment,e),f(D.$$.fragment,e),f(X.$$.fragment,e),f(ne.$$.fragment,e),f(ae.$$.fragment,e),f(me.$$.fragment,e),f(_e.$$.fragment,e),f(Ae.$$.fragment,e),f(Le.$$.fragment,e),sl=!0)},o(e){u(E.$$.fragment,e),u(L.$$.fragment,e),u(C.$$.fragment,e),u(x.$$.fragment,e),u(H.$$.fragment,e),u(M.$$.fragment,e),u(R.$$.fragment,e),u(k.$$.fragment,e),u(z.$$.fragment,e),u(D.$$.fragment,e),u(X.$$.fragment,e),u(ne.$$.fragment,e),u(ae.$$.fragment,e),u(me.$$.fragment,e),u(_e.$$.fragment,e),u(Ae.$$.fragment,e),u(Le.$$.fragment,e),sl=!1},d(e){e&&(l(we),l(be),l(xe),l(A),l(Se),l(Be),l(I),l(He),l(T),l(Pe),l(ye),l(b),l(We),l(Me),l(w),l(je),l(Je),l(S),l(Re),l(ge),l(Ve),l(B),l(Ne),l(ke),l(P),l(Ue),l(y),l(Oe),l(Ze),l(ze),l(W),l(Ge),l(Ke),l(j),l(Fe),l(De),l(Ye),l(J),l(Qe),l(qe),l(g),l(Xe),l(V),l(et),l(tt),l(lt),l(N),l(nt),l(it),l(U),l(st),l(O),l(ot),l(at),l(rt),l(Z),l(dt),l(pt),l(G),l(mt),l(K),l(vt),l(ft),l(ut),l(F),l(_t),l(ct),l(Y),l(ht),l(Q),l($t),l(At),l(Et),l(q),l(It),l(Tt),l(ee),l(Lt),l(te),l(bt),l(Ct),l(wt),l(le),l(xt),l(St),l(ie),l(Bt),l(se),l(Ht),l(Pt),l(yt),l(oe),l(Wt),l(Mt),l(re),l(jt),l(de),l(Jt),l(Rt),l(gt),l(pe),l(Vt),l(Nt),l(ve),l(kt),l(fe),l(Ut),l(Ot),l(Zt),l(ue),l(zt),l(Gt),l(ce),l(Kt),l(he),l(Ft),l(Dt),l(Yt),l($e),l(Qt),l(qt),l(Ee),l(Xt),l(Ie),l(el),l(Te),l(tl),l(ll),l(nl),l(il),l(Ce)),l($),_(E,e),_(L,e),_(C,e),_(x,e),_(H,e),_(M,e),_(R,e),_(k,e),_(z,e),_(D,e),_(X,e),_(ne,e),_(ae,e),_(me,e),_(_e,e),_(Ae,e),_(Le,e)}}}const Gl='{"title":"env","local":"env","sections":[{"title":"env.apis","local":"envapis","sections":[],"depth":2},{"title":"env.env : <code> TransformersEnvironment </code>","local":"envenv--code-transformersenvironment-code","sections":[],"depth":2},{"title":"env~IS_BROWSER_ENV","local":"envisbrowserenv","sections":[],"depth":2},{"title":"env~IS_WEBWORKER_ENV","local":"enviswebworkerenv","sections":[],"depth":2},{"title":"env~IS_WEB_CACHE_AVAILABLE","local":"enviswebcacheavailable","sections":[],"depth":2},{"title":"env~IS_WEBGPU_AVAILABLE","local":"enviswebgpuavailable","sections":[],"depth":2},{"title":"env~IS_BUILT_IN_AI_AVAILABLE","local":"envisbuiltinaiavailable","sections":[],"depth":2},{"title":"env~IS_PROCESS_AVAILABLE","local":"envisprocessavailable","sections":[],"depth":2},{"title":"env~IS_NODE_ENV","local":"envisnodeenv","sections":[],"depth":2},{"title":"env~IS_FS_AVAILABLE","local":"envisfsavailable","sections":[],"depth":2},{"title":"env~IS_PATH_AVAILABLE","local":"envispathavailable","sections":[],"depth":2},{"title":"env~TransformersEnvironment : <code> Object </code>","local":"envtransformersenvironment--code-object-code","sections":[],"depth":2}],"depth":1}';function Kl(al){return Vl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ql extends Nl{constructor($){super(),kl(this,$,Kl,zl,Rl,{})}}export{ql as component};
